This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### mousePressed()
Examples |
    // Click within the image to change
    // the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mousePressed() {
      if (value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }
Description | The mousePressed() function is called once after every time a mouse button is pressed. The mouseButton variable (see the related reference entry) can be used to determine which button has been pressed.
Syntax |
    mousePressed()
    mousePressed(event)
Returns | void
Related | mouseX mouseY mousePressed mouseButton mouseReleased() mouseMoved() mouseDragged()

Updated on October 26, 2013 08:58:29pm PDT